"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf902cb0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf902d40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf902dd0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf902e60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf902ef0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf902f80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903010>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9030a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903130>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9031c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903250>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9032e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903370>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903400>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903490>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903520>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9035b0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903640>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9036d0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903760>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9037f0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903880>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903910>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9039a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903ac0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903a30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903b50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903be0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903c70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903d00>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903d90>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903e20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903eb0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf903f40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9580d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9581f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9583a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9584c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9585e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9588b0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9589d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958a60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958af0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958c10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958ca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958d30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958dc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958e50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958ee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf958f70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959000>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959090>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959120>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9592d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9591b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959360>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9593f0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959480>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959510>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9595a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9596c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959630>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959750>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf9597e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959870>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959990>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959900>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959a20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959ab0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959b40>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959bd0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959c60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf959cf0>)]
name: str = 'fr_HOCCN'
